Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.RMSSecurityHandler Class Reference
Inheritance diagram for FoxitPDFSDKPython3.RMSSecurityHandler:

## Public Member Functions
def | RMSSecurityHandler ()
| Constructor. More...
def | RMSSecurityHandler (other)
| Constructor, with parent class object. More...
def | Initialize (encrypt_data, callback)
| Initialize current Microsoft RMS security handler. More...
Public Member Functions inherited from FoxitPDFSDKPython3.SecurityHandler
def | SecurityHandler ()
| Constructor.
def | SecurityHandler (other)
| Constructor, with another security handler object. More...
def | GetSecurityType ()
| Get the encryption type of current security handler. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Additional Inherited Members
Static Public Attributes inherited from FoxitPDFSDKPython3.SecurityHandler
| e_CipherAES = _fsdk.SecurityHandler_e_CipherAES
| Use AES encryption algorithm, with the key length be 16 bytes (as AES-128) or 32 bytes (as AES-256, only supported in PDF 2.0).
| e_CipherNone = _fsdk.SecurityHandler_e_CipherNone
| Not use encryption algorithm.
| e_CipherRC4 = _fsdk.SecurityHandler_e_CipherRC4
| Use RC4 encryption algorithm, with the key length between 5 bytes and 16 bytes.

## Detailed Description

This class represents a RMS security handler, used for RMS encryption.

Note
  If module "RMS" is not defined in the license information which is used in function FoxitPDFSDKPython3.Library.Initialize , that means user has no right in using RMS related functions and valid RMS security handler would not be constructed successfully and exception FoxitPDFSDKPython3.e_ErrNoRMSModuleRight would be thrown.

See also
  SecurityHandler

## Constructor & Destructor Documentation

## ◆ RMSSecurityHandler() [1/2]

def FoxitPDFSDKPython3.RMSSecurityHandler.RMSSecurityHandler | ( |  | ) |

Constructor.

Note
  If module "RMS" is not defined in the license information which is used in function FoxitPDFSDKPython3.Library.Initialize , that means user has no right in using RMS related functions and this constructor will throw exception FoxitPDFSDKPython3.e_ErrNoRMSModuleRight .

## ◆ RMSSecurityHandler() [2/2]

def FoxitPDFSDKPython3.RMSSecurityHandler.RMSSecurityHandler | ( |  | other | ) |

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

Note
  If module "RMS" is not defined in the license information which is used in function FoxitPDFSDKPython3.Library.Initialize , that means user has no right in using RMS related functions and this constructor will throw exception FoxitPDFSDKPython3.e_ErrNoRMSModuleRight .

## Member Function Documentation

## ◆ Initialize()

def FoxitPDFSDKPython3.RMSSecurityHandler.Initialize | ( |  | encrypt_data,
|  |  | callback
| ) |  |

Initialize current Microsoft RMS security handler.

If this function is successfully, Foxit PDF SDK will take over the input security callback object and user should not release this callback object directly anymore; otherwise unexpected crash may occurs later.
Foxit PDF SDK may release the security callback object by callback function FoxitPDFSDKPython3.SecurityCallback.Release (inherited from RMSSecurityCallback's parent class), when current security handler is released and find that the callback object has not been used by other object. So, user is recommended not to use the security callback object any more, after current security handler is released.

Parameters

  [in] | encrypt_data | A RMS encrypt data object.
  [in] | callback | A valid RMSSecurityCallback object, which is inherited and implemented by user for their own encryption and description algorithm. It should not be null.

Returns